#
#       Makefile for grph1/append
#

ROOTDIR = ../../..
LIBOBJS		= kihon6.exe     kihon7.exe \
                  kihon8.exe     kihon9.exe     kihona.exe     kihonb.exe     kihonc.exe
EPSFILES	= kihon6_0001.eps kihon7_0001.eps kihon7_0002.eps \
                  kihon8_0001.eps kihon9_0001.eps kihona_0001.eps kihonb_0001.eps kihonc_0001.eps


!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win  subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

kihon6_0001.eps:
	echo 2 | kihon6.exe -sw_ifl=2 -sw_fname=kihon6

kihon7_0001.eps:
	echo 2 | kihon7.exe -sw_ifl=2 -sw_fname=kihon7

kihon7_0002.eps: kihon7_0001.eps

kihon8_0001.eps:
	echo 2 | kihon8.exe -sw_ifl=2 -sw_fname=kihon8

kihon9_0001.eps:
	echo 2 | kihon9.exe -sw_ifl=2 -sw_fname=kihon9

kihona_0001.eps:
	echo 2 | kihona.exe -sw_ifl=2 -sw_fname=kihona

kihonb_0001.eps:
	echo 2 | kihonb.exe -sw_ifl=2 -sw_fname=kihonb

kihonc_0001.eps:
	echo 2 | kihonc.exe -sw_ifl=2 -sw_fname=kihonc
